function init()
	gun.name = "Thrower"
	gun.fireDelay = 15
	gun.shotrange = 375
	gun.shotspeed = 750
	gun.shotdamage = .6
	gun.shotknockback = 500
	
	gun.shotlayer = 3
	--gun.firecost = .025
	
	gun.fixed = 4--forward
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.addShot("explode5.png", gun.firex, gun.firey, gun.firetheta)
	shot.scale = 2 + math.random(-1.5, .5)
	shot.alpha = .8 + math.random(-.15, .15)
	shot.spin = math.random(-2.5, 2.5)
	shot.dist = 1 + math.random(-.1, .1)
	shot.shade = math.random(0, 50)
	shot.movrot = shot.movrot + math.random(-8,8)
	
	gun.sfx("gun_thrower.wav", gun.firex, gun.firey)

	return 0
end

function shot_update()

	return 0
end